petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetFunctionType

Sets the SNESNormSchedule used in covergence and monitoring of the SNES method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetFunctionType(SNES snes, SNESFunctionType type)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| normschedule | - the frequency of norm computation Many br

### Notes

Only certain SNES methods support certain SNESNormSchedules. Most require evaluation Many brof the nonlinear function and the taking of its norm at every iteration to Many breven ensure convergence at all. However, methods such as custom Gauss-Seidel methods Many br(SNESNGS) and the like do not require the norm of the function to be computed, and therfore Many brmay either be monitored for convergence or not. As these are often used as nonlinear Many brpreconditioners, monitoring the norm of their error is not a useful enterprise within Many brtheir solution. Many br

Many br

### Keywords

SNES, nonlinear, set, function, norm, type

### See Also

SNESGetNormSchedule(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormSchedule

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages